### Hierarchy

- Select
  - TimePickerSelect

### Implements

- ControlValueAccessor
- AfterViewInit

## Index

### Inputs

- ariaLabel
- disabled
- display
- helperText
- id
- invalid
- invalidText
- label
- size
- skeleton
- theme
- warn
- warnText
- value

### Outputs

- valueChange

### Properties

- _value
- ariaLabel
- disabled
- display
- helperText
- id
- invalid
- invalidText
- label
- select
- size
- skeleton
- theme
- timePickerSelect
- timePickerSelectSkeleton
- timeSelect
- valueChange
- warn
- warnText
- selectCount

### Accessors

- timePickerSelectLight
- value

### Methods

- focusOut
- isTemplate
- ngAfterViewInit
- onChange
- onChangeHandler
- onTouchedHandler
- registerOnChange
- registerOnTouched
- setDisabledState
- writeValue

## Properties

### Protected _value

_value: any

Inherited from Select._value

- Defined in src/select/select.component.ts:206

### ariaLabel

@Input()
ariaLabel: string

Inherited from Select.ariaLabel

- Defined in src/select/select.component.ts:188

### disabled

@Input()
disabled: boolean = false

Inherited from Select.disabled

- Defined in src/select/select.component.ts:174

### display

@Input()
display: "inline" | "default" = "default"

Inherited from Select.display

- Defined in src/select/select.component.ts:142

### helperText

@Input()
helperText: string | TemplateRef<any>

Inherited from Select.helperText

- Defined in src/select/select.component.ts:150

### id

@Input()
id: string = `timepicker-select-${TimePickerSelect.selectCount++}`

Overrides Select.id

- Defined in src/timepicker-select/timepicker-select.component.ts:45

### invalid

@Input()
invalid: boolean = false

Inherited from Select.invalid

- Defined in src/select/select.component.ts:182

### invalidText

@Input()
invalidText: string | TemplateRef<any>

Inherited from Select.invalidText

- Defined in src/select/select.component.ts:154

### label

@Input()
label: string

Overrides Select.label

- Defined in src/timepicker-select/timepicker-select.component.ts:57

### select

@ViewChild({"selector":"select","opts":"{ static: false }"})
select: ElementRef

Inherited from Select.select

- Defined in src/select/select.component.ts:193

### size

@Input()
size: "sm" | "md" | "xl" = "md"

Inherited from Select.size

- Defined in src/select/select.component.ts:170

### skeleton

@Input()
skeleton: boolean = false

Overrides Select.skeleton

- Defined in src/timepicker-select/timepicker-select.component.ts:50

### theme

@Input()
theme: "light" | "dark" = "dark"

Overrides Select.theme

- Defined in src/timepicker-select/timepicker-select.component.ts:55

### timePickerSelect

@HostBinding({"hostPropertyName":"class.bx--time-picker__select"})
timePickerSelect: boolean = true

- Defined in src/timepicker-select/timepicker-select.component.ts:43

### timePickerSelectSkeleton

@HostBinding({"hostPropertyName":"class.bx--skeleton"})
timePickerSelectSkeleton: boolean = this.skeleton

- Defined in src/timepicker-select/timepicker-select.component.ts:59

### timeSelect

@HostBinding({"hostPropertyName":"class.bx--select"})
timeSelect: boolean = true

- Defined in src/timepicker-select/timepicker-select.component.ts:42

### valueChange

@Output()
valueChange: EventEmitter<Object> = new EventEmitter()

Inherited from Select.valueChange

- Defined in src/select/select.component.ts:190

### warn

@Input()
warn: boolean = false

Inherited from Select.warn

- Defined in src/select/select.component.ts:158

### warnText

@Input()
warnText: string | TemplateRef<any>

Inherited from Select.warnText

- Defined in src/select/select.component.ts:162

### Static selectCount

selectCount: number = 0

Inherited from Select.selectCount

- Defined in src/select/select.component.ts:137

## Accessors

### timePickerSelectLight

@HostBinding({"hostPropertyName":"class.bx--select--light"})
timePickerSelectLight:

- Defined in src/timepicker-select/timepicker-select.component.ts:61

### value

@Input()
value:

Inherited from Select.value

- Defined in src/select/select.component.ts:195
- Defined in src/select/select.component.ts:202

## Methods

### focusOut

@HostListener({"eventName":"focusout"})

- focusOut(): void

- Inherited from Select.focusOut

  - Defined in src/select/select.component.ts:261

  #### Returns void

### isTemplate

- isTemplate(value: any): boolean

- Inherited from Select.isTemplate

  - Defined in src/select/select.component.ts:265

  #### Parameters

  - ##### value: any

  #### Returns boolean

### ngAfterViewInit

- ngAfterViewInit(): void

- Inherited from Select.ngAfterViewInit

  - Defined in src/select/select.component.ts:208

  #### Returns void

### onChange

- onChange(event: any): void

- Inherited from Select.onChange

  - Defined in src/select/select.component.ts:251

  #### Parameters

  - ##### event: any

  #### Returns void

### Protected onChangeHandler

- onChangeHandler(_: any): void

- Inherited from Select.onChangeHandler

  - Defined in src/select/select.component.ts:272

  #### Parameters

  - ##### _: any

  #### Returns void

### Protected onTouchedHandler

- onTouchedHandler(): void

- Inherited from Select.onTouchedHandler

  - Defined in src/select/select.component.ts:273

  #### Returns void

### registerOnChange

- registerOnChange(fn: any): void

- Inherited from Select.registerOnChange

  - Defined in src/select/select.component.ts:229

  #### Parameters

  - ##### fn: any

  #### Returns void

### registerOnTouched

- registerOnTouched(fn: any): void

- Inherited from Select.registerOnTouched

  - Defined in src/select/select.component.ts:236

  #### Parameters

  - ##### fn: any

  #### Returns void

### setDisabledState

- setDisabledState(isDisabled: boolean): void

- Inherited from Select.setDisabledState

  - Defined in src/select/select.component.ts:243

  #### Parameters

  - ##### isDisabled: boolean

  #### Returns void

### writeValue

- writeValue(obj: any): void

- Inherited from Select.writeValue

  - Defined in src/select/select.component.ts:222

  #### Parameters

  - ##### obj: any

  #### Returns void

Generated using TypeDoc